Home

# Class goog.fx.TransitionBase

Constructor for a transition object.

extends goog.events.EventTarget

Instance Method Summary
| `dispatchAnimationEvent(string type)` Dispatches an event object for the current animation.
| `getStateInternal() ⇒ ?goog.fx.TransitionBase.State` Returns the current state of the animation.
| `isPaused() ⇒ boolean`
| `isPlaying() ⇒ boolean`
| `isStopped() ⇒ boolean`
| `onBegin()` Dispatches the BEGIN event. Sub classes should override this instead of listening to the event, and call this instead of dispatching the event.
| `onEnd()` Dispatches the END event. Sub classes should override this instead of listening to the event, and call this instead of dispatching the event.
| `onFinish()` Dispatches the FINISH event. Sub classes should override this instead of listening to the event, and call this instead of dispatching the event.
| `onPause()` Dispatches the PAUSE event. Sub classes should override this instead of listening to the event, and call this instead of dispatching the event.
| `onPlay()` Dispatches the PLAY event. Sub classes should override this instead of listening to the event, and call this instead of dispatching the event.
| `onResume()` Dispatches the RESUME event. Sub classes should override this instead of listening to the event, and call this instead of dispatching the event.
| `onStop()` Dispatches the STOP event. Sub classes should override this instead of listening to the event, and call this instead of dispatching the event.
| `pause()` Pauses the animation.
| `play(boolean= opt_restart) ⇒ boolean` Plays the animation.
| `setStatePaused()` Sets the current state of the animation to paused.
| `setStatePlaying()` Sets the current state of the animation to playing.
| `setStateStopped()` Sets the current state of the animation to stopped.
| `stop(boolean= opt_gotoEnd)` Stops the animation.